
Redmine - Patch #3732

Incoming mail IMAP : Notify when an error occurs

2009-08-12 16:18 - Thomas Recloux

Status: New Start date: 2009-08-12

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Description

Add the possibility to notify the administrators when an error occurs during incoming mail parsing.

Add a notify_on_failure option to the tasks.

Built against the trunk in revision 2836.

Tested on trunk and 0.8.4

History

#1 - 2009-08-13 01:26 - Eric Davis

- Status changed from New to 7

- Assignee set to Eric Davis

Could you supply a test for the new behavior?

#2 - 2009-08-13 10:24 - Thomas Recloux

- File patch_incoming_mail_notify_error_with_test.diff added

I added a test for the mailer.

I do not know how to test the rake task and the Imap class.

This patch replaces the first one

Thanks

#3 - 2009-09-11 22:46 - Lucas Panjer

It would be good if there was a general solution that also covered failures for emails piped in using extra/mail_handler/rdm_mailhandler.rb

#4 - 2009-11-28 13:16 - Jean-Philippe Lang

- Category changed from Email notifications to Email receiving

#5 - 2010-05-20 21:00 - Stanislav German-Evtushenko

Does it work in 0.9-stable?

#6 - 2010-05-20 21:21 - Thomas Recloux

Yes, in production in my company.

#7 - 2010-05-20 22:25 - Stanislav German-Evtushenko

Thomas Recloux wrote:

Yes, in production in my company.

 Thanks a lot!

#8 - 2010-07-20 16:55 - Patrick Cummins

How would I modify the patch to also notify the person sending the emails?
#9 - 2010-10-25 17:00 - Eric Davis

- Assignee deleted (Eric Davis)

#10 - 2011-02-10 17:17 - Mathieu Rochette

- File patch_incoming_mail_notify_sender.diff added

Patrick Cummins wrote:

How would I modify the patch to also notify the person sending the emails?

 I was also intersted on that, just apply the attachd patch on top of Thomas Recloux's

once applied, mail are sent only to the sender and not to admins.

maybe someon with ruby skills could works something wich would allow something like notify_on_failure=admins,sender

I think it would be great to integrate that int redmine because it's really a show-stopper if the sender can't know that his mail has been ignored.

for now, the mail just tell, the received mail could not been processed. it might be intersting to explain why. eg: the message logged (unknown mail

address, not authorized, missing required field, etc.)

#11 - 2013-01-13 21:04 - Jean-Philippe Lang

- Status changed from 7 to New

Assigned issue with no assignee back to New status.

Files

patch_incoming_mail_notify_error.diff 3.38 KB 2009-08-12 Thomas Recloux

patch_incoming_mail_notify_error_with_test.diff 4.42 KB 2009-08-13 Thomas Recloux

patch_incoming_mail_notify_sender.diff 793 Bytes 2011-02-10 Mathieu Rochette
